Package com.orbbec.obsensor

## Class DepthWorkMode

- java.lang.Object
- - com.orbbec.obsensor.DepthWorkMode

    public class DepthWorkMode
    extends java.lang.Object

Depth work mode

### Constructor Summary

Constructors
`DepthWorkMode()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getChecksum()` Get checksum of work mode
`java.lang.String` `getChecksumHex()` Get hex string which come from getChecksum()
`java.lang.String` `getName()` Get name of work mode
`void` `setChecksum​(byte[] checksum)` Set checksum of work mode
`void` `setName​(java.lang.String name)` Set name of work mode
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DepthWorkMode

    public DepthWorkMode()

### Method Detail

#### getName

    public java.lang.String getName()

Get name of work mode

Returns:
  the name of work mode.

#### setName

    public void setName​(java.lang.String name)

Set name of work mode

Parameters:
  `name` - name of work mode.

#### getChecksum

    public byte[] getChecksum()

Get checksum of work mode

Returns:
  the checksum of work mode.

#### setChecksum

    public void setChecksum​(byte[] checksum)

Set checksum of work mode

Parameters:
  `checksum` - checksum of work mode.

#### getChecksumHex

    public java.lang.String getChecksumHex()

Get hex string which come from getChecksum()

Returns:
  the hex string of checksum.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`